Subject: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Tue, 11 Oct 2011 08:51:30 -0700

My job is to develop on Windows using MSFT tools, so I do need the debugger, however I will try to set that up as the JIT debugger since most of my debugging is non-JIT only. I'll install that and if I get the crash again I will debug as best as I can.

Yes, this has happened many times before, I just never remembered to file the bug.

Event Log:

Application:

Event Type:	Error
Event Source:	Application Error
Event Category:	(100)
Event ID:	1000
Date:		10/10/2011
Time:		4:33:54 PM
User:		N/A
Computer:	BELDQD1FQ1
Description:
Faulting application emacs.exe, version 24.0.50.0, faulting module ntdll.dll, version 5.2.3790.4789, fault address 0x0005b878.

For more information, see Help and Support Center at http://go.microsoft.com/fwlink/events.asp.
Data:
0000: 41 70 70 6c 69 63 61 74   Applicat
0008: 69 6f 6e 20 46 61 69 6c   ion Fail
0010: 75 72 65 20 20 65 6d 61   ure  ema
0018: 63 73 2e 65 78 65 20 32   cs.exe 2
0020: 34 2e 30 2e 35 30 2e 30   4.0.50.0
0028: 20 69 6e 20 6e 74 64 6c    in ntdl
0030: 6c 2e 64 6c 6c 20 35 2e   l.dll 5.
0038: 32 2e 33 37 39 30 2e 34   2.3790.4
0040: 37 38 39 20 61 74 20 6f   789 at o
0048: 66 66 73 65 74 20 30 30   ffset 00
0050: 30 35 62 38 37 38         05b878  

System:

Event Type:	Information
Event Source:	Application Popup
Event Category:	None
Event ID:	26
Date:		10/10/2011
Time:		4:33:52 PM
User:		N/A
Computer:	BELDQD1FQ1
Description:
Application popup: Emacs Clipboard: emacs.exe - Application Error : The exception Breakpoint
A breakpoint has been reached.
 (0x80000003) occurred in the application at location 0x7d61002d.

Click on OK to terminate the program
Click on CANCEL to debug the program

For more information, see Help and Support Center at http://go.microsoft.com/fwlink/events.asp.

Event Type:	Information
Event Source:	Application Popup
Event Category:	None
Event ID:	26
Date:		10/10/2011
Time:		4:33:54 PM
User:		N/A
Computer:	BELDQD1FQ1
Description:
Application popup: emacs@BELDQD1FQ1: emacs.exe - Application Error : The exception unknown software exception (0xc0000029) occurred in the application at location 0x7d65b878.

Click on OK to terminate the program
Click on CANCEL to debug the program

For more information, see Help and Support Center at http://go.microsoft.com/fwlink/events.asp.

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Monday, October 10, 2011 11:29 PM
To: Joseph Jones
Cc: [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> From: Joseph Jones <[email-masked]>
> Date: Mon, 10 Oct 2011 16:42:30 -0700
> 
> No real specific actions that I am aware of. Just a random crash in
> emacs clipboard. Here is the text of the crash:
> 
> Emacs Clipboard: emacs.exe - Application Error
> 
> The exception Breakpoint
> A breakpoint has been reached.
> (0x80000003) occurred in the application at location 0x7d61002d.
> 
> Click on OK to terminate the program
> Click on CANCEL to debug the program
> 
> I do not have GDB and so cannot do a debug attach and backtrace.

I hope you didn't yet click either OK or CANCEL, and so the crashed
session is still running.  If so, there are a couple of things that
can still be done, even without GDB, to gather more info.

Failing that, please go to the Event Viewer (a.k.a. "system log"),
find this event in the "Application" log, and post here all the
information you see when you double-click on the log entry
corresponding to this crash.  While at that, please look in other
types of log, primarily "System" and "Security", and see if there's
any event that happened at the same time.

Also, did this kind of crash happen to you before?

Finally, I suggest to download DrMinGW from this place:

   http://code.google.com/p/jrfonseca/wiki/DrMingw

and install it as your system's JIT debugger.  (I hope you don't
develop with Microsoft tools on the same platform, because then you
want the Visual Studio to be the JIT debugger.)  Then, clicking on
CANCEL will cause DrMinGW to kick in and display a backtrace that can
be saved to a file and posted with the bug report.